Skip to main content

GetDestination

POST 

/twirp/ttab.newswire.Delivery/GetDestination

GetDestination returns details about a destination, this never includes any sensitive credentials.

Request

Body

    name string

    Name of the destination to get.

Responses

Method response

Schema
    enabled boolean

    Enabled - whether the destination is active or paused.

    name string

    Name identifying the destination.

    spec object
    s3 object
    bucket string

    Bucket to put the item in.

    credentials object
    id string

    ID is the access key id.

    secret string

    Secret is the access key secret.

    endpoint string

    Endpoint (host) to use with the S3 client. Usually if the format "s3.[region].amazonaws.com", should match the region of the S3 bucket when using AWS.

    insecure boolean

    Insecure is set to true to use http instead of https when communicating with the S3 API. Should only be used for testing purposes.

    prefix string

    Prefix to use when storing items in the bucket.

    sftp object
    credentials object
    generate ttab.newswire.KeyType

    Possible values: [KEY_NONE, KEY_RSA, KEY_ED25519]

    password string

    Password to use when connecting to the server.

    private_key string

    PrivateKey to use when connecting to the server. Must be PEM encoded, supports RSA, DSA, ECDSA, and Ed25519 private keys in PKCS#1, PKCS#8, OpenSSL, and OpenSSH formats.

    host string

    Host of the server to connect to.

    host_key string

    HostKey in SSH format: ecdsa-sha2-nistp256 AAAAE2Vj...IHfsd/jD11tEvr8 =. Optional, will be validated against (or default to) the public key supplied by the server.

    idle_timout_sec integer

    IdleTimeoutSec is the time to allow a connection to the server to stay idle before closing it. Defaults to two minutes.

    path string

    Path to the diectory to upload deliveries to.

    public_key string

    PublicKey is the public key of the keypair used to connect to the server. Generated automatically from private key, if any, and doesn't need to be provided when updating the destination.

    strict_host_validation boolean

    StrictHostValidation will halt delivery if the host key on file doesn't match the one returned by the server.

    user string

    User to connect as.

    type ttab.newswire.DestinationType

    Possible values: [DESTINATION_UNSPECIFIED, DESTINATION_API, DESTINATION_SFTP, DESTINATION_S3]

    version integer

    Version of the destination.

Loading...